diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_all_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_all_policy.sql
index 7cc807f7b..bdeb6b0f3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_all_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_all_policy.sql
@@ -4,6 +4,7 @@
 
 CREATE POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS RESTRICTIVE
     FOR ALL
     TO public
     USING (true)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_insert_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_insert_policy.sql
index dd95496d6..6c3dba682 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_insert_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_simple_insert_policy.sql
@@ -4,6 +4,7 @@
 
 CREATE POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS PERMISSIVE
     FOR INSERT
     TO public
-    WITH CHECK ((("current_user"())::text = name));
+    WITH CHECK (((CURRENT_USER)::text = name));
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_update_policy_with_check_and_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_update_policy_with_check_and_using.sql
index fc26c4fee..d9e1b39a5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_update_policy_with_check_and_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/alter_update_policy_with_check_and_using.sql
@@ -4,7 +4,8 @@
 
 CREATE POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS RESTRICTIVE
     FOR UPDATE
     TO public
-    USING ((("current_user"())::text = name))
+    USING (((CURRENT_USER)::text = name))
     WITH CHECK ((emp_id <> 0));
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using.sql
index 874bf4bba..82e3f6c65 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using.sql
@@ -4,6 +4,7 @@
 
 CREATE POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS RESTRICTIVE
     FOR DELETE
     TO public
-    USING ((("current_user"())::text = name));
+    USING (((CURRENT_USER)::text = name));
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using_msql.sql
index 1bf68d73c..fbacba3b6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_delete_policy_with_using_msql.sql
@@ -1,5 +1,6 @@
 CREATE POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS RESTRICTIVE
     FOR DELETE
     TO public
     USING (current_user = name);
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy.sql
index 59a715e5b..0dcf0ee86 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy.sql
@@ -4,5 +4,6 @@
 
 CREATE POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS PERMISSIVE
     FOR SELECT
     TO public;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy_msql.sql
index 7829ec2cf..a76d0818c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_select_policy_msql.sql
@@ -1,4 +1,5 @@
 CREATE POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS PERMISSIVE
     FOR SELECT
     TO public;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy.sql
index de2e37992..06e9ed7a5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy.sql
@@ -4,5 +4,6 @@
 
 CREATE POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS RESTRICTIVE
     FOR ALL
     TO public;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy_msql.sql
index b2f11a390..e0d2f6d7e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_all_policy_msql.sql
@@ -1,4 +1,5 @@
 CREATE POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS RESTRICTIVE
     FOR ALL
     TO public;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy.sql
index 07c2390fb..746062fda 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy.sql
@@ -4,5 +4,6 @@
 
 CREATE POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS PERMISSIVE
     FOR INSERT
     TO public;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy_msql.sql
index 6d3bb919c..ad1986a82 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_simple_insert_policy_msql.sql
@@ -1,4 +1,5 @@
 CREATE POLICY "test_simple_insert_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS PERMISSIVE
     FOR INSERT
     TO public;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using.sql
index 65afeeeb7..d39be28bf 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using.sql
@@ -4,6 +4,7 @@
 
 CREATE POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS RESTRICTIVE
     FOR UPDATE
     TO public
     USING (true)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using_msql.sql
index 0070865fa..02fca09a0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/default/create_update_policy_with_check_and_using_msql.sql
@@ -1,5 +1,6 @@
 CREATE POLICY "test_update_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
+    AS RESTRICTIVE
     FOR UPDATE
     TO public
     USING (true)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
index 210feab16..7fd1a660b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
@@ -1773,19 +1773,16 @@ class MViewNode(ViewNode, VacuumSettings):
     @staticmethod
     def ppas_template_path(ver):
         """
-        Returns the template path for EDB Advanced servers.
+        Returns the template path for PPAS servers.
         """
-        return 'ppas/9.3_plus'
+        return 'ppas/#{0}#'.format(ver)
 
     @staticmethod
     def pg_template_path(ver):
         """
         Returns the template path for PostgreSQL servers.
         """
-        return 'pg/{0}'.format(
-            '9.4_plus' if ver >= 90400 else
-            '9.3_plus'
-        )
+        return 'pg/#{0}#'.format(ver)
 
     @staticmethod
     def merge_to_vacuum_data(old_data, data, vacuum_key):
